Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Functions

# win32/dir.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | direct
struct | DIR
## Defines
#define | opendir rb_w32_opendir
#define | readdir rb_w32_readdir
#define | telldir rb_w32_telldir
#define | seekdir rb_w32_seekdir
#define | rewinddir rb_w32_rewinddir
#define | closedir rb_w32_closedir
## Functions
DIR * | rb_w32_opendir (const char *)
struct direct * | rb_w32_readdir (DIR *)
struct direct * | rb_w32_readdir_with_enc (DIR *, rb_encoding *)
long | rb_w32_telldir (DIR *)
void | rb_w32_seekdir (DIR *, long)
void | rb_w32_rewinddir (DIR *)
void | rb_w32_closedir (DIR *)

## Define Documentation

#define closedir rb_w32_closedir

Definition at line 43 of file dir.h.

Referenced by dir_close(), dir_free(), dir_initialize(), and glob_helper().

#define opendir rb_w32_opendir

Definition at line 38 of file dir.h.

Referenced by dir_initialize(), and do_opendir().

#define readdir rb_w32_readdir

Definition at line 39 of file dir.h.

#define rewinddir rb_w32_rewinddir

Definition at line 42 of file dir.h.

Referenced by dir_each(), and dir_rewind().

#define seekdir rb_w32_seekdir

Definition at line 41 of file dir.h.

#define telldir rb_w32_telldir

Definition at line 40 of file dir.h.

## Function Documentation

void rb_w32_closedir | ( | DIR * |  | ) |

Definition at line 1944 of file win32.c.

References DIR::bits, direct::d_name, DIR::dirstr, free, and DIR::start.

Referenced by opendir_internal().

DIR* rb_w32_opendir | ( | const char * |  | ) |

Definition at line 1746 of file win32.c.

References errno, filecp_to_wstr(), free, ISALPHA, NULL, open_dir_handle(), opendir_internal(), and wstati64().

struct direct* rb_w32_readdir | ( | DIR * |  | ) | `[read]`

Definition at line 1890 of file win32.c.

References NULL, readdir_internal(), and win32_direct_conv().

struct direct* rb_w32_readdir_with_enc | ( | DIR * | ,
|  | rb_encoding * |
| ) |  | `[read]`

Definition at line 1896 of file win32.c.

References NULL, rb_ascii8bit_encoding(), readdir_internal(), ruby_direct_conv(), and win32_direct_conv().

void rb_w32_rewinddir | ( | DIR * |  | ) |

Definition at line 1933 of file win32.c.

References DIR::curr, DIR::loc, and DIR::start.

Referenced by rb_w32_seekdir().

void rb_w32_seekdir | ( | DIR * | ,
|  | long |
| ) |  |

Definition at line 1919 of file win32.c.

References DIR::curr, DIR::loc, move_to_next_entry(), and rb_w32_rewinddir().

long rb_w32_telldir | ( | DIR * |  | ) |

Definition at line 1909 of file win32.c.

References DIR::loc.